Obtener descuento
Recuperar un descuento por su discount_id único.
Autorizaciones
Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.
Parámetros de ruta
Discount Id
Respuesta
Fetched discount by ID
The discount amount in basis points (e.g., 540 => 5.4%).
The business this discount belongs to.
The discount code (up to 16 chars).
Timestamp when the discount is created
Who may redeem this discount code.
any, first_time, existing, specific The unique discount ID
Arbitrary key-value metadata. Values can be string, integer, number, or boolean.
Whether this discount should be preserved when a subscription changes plans. Default: false (discount is removed on plan change)
List of product IDs to which this discount is restricted.
How many times this discount has been used.
The type of discount (percentage or flat).
flat, percentage Per-currency options (flat deduction / percentage cap + minimum subtotal). Empty for discounts without any configured currency options.
Optional date/time after which discount is expired.
Name for the Discount
Maximum number of times a single customer may redeem this discount, if any.
Optional date/time before which the discount is not yet active. NULL = active immediately.
Number of subscription billing cycles this discount is valid for. If not provided, the discount will be applied indefinitely to all recurring payments related to the subscription.
Usage limit for this discount, if any.